Skip to main content
GET
/
projects
/
{projectId}
/
annotations
List Annotations
curl --request GET \
  --url https://{regionAndDomain}.com/api/app/projects/{projectId}/annotations \
  --header 'Authorization: Basic <encoded-value>'
{
  "status": "ok",
  "results": [
    {
      "date": "2022-02-15 12:00:00",
      "description": "Something interesting happened!",
      "id": 123,
      "user": {
        "id": 123,
        "first_name": "John",
        "last_name": "Smith"
      },
      "tags": [
        {
          "id": 123,
          "name": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

projectId
integer
required

Your project id (eg: 12345)

Query Parameters

fromDate
string

The date in yyyy-mm-dd format to begin querying from. This date is inclusive.

toDate
string

The date in yyyy-mm-dd format to query to. This date is inclusive.

Response

Success

A JSON response object containing all annotations in the project'

status
string
required

The status of the response

Example:

"ok"

results
AnnotationsEntry · object[]
required